#ifndef _LBBCLEAFDISTRIBUTION_H
#define _LBBCLEAFDISTRIBUTION_H


#include "BBCEntityDistribution.h"
#include "LBBCLeaf.h"

namespace LBBC {

class _BBCExport LeafDistribution : public BBC::EntityDistribution {
  protected:
	float mMinD;
	float mMaxD;
	Ogre::Vector3 mMinNormal;
	Ogre::Vector3 mMaxNormal;

  public:

    LeafDistribution();

    virtual ~LeafDistribution();

	void setMinD(float value);

	void setMaxD(float value);

	float getMinD();

	float getMaxD();

	void setMinNormal(Ogre::Vector3 value);

	Ogre::Vector3 getMinNormal();

	void setMaxNormal(Ogre::Vector3 value);

	Ogre::Vector3 getMaxNormal();

};

}
#endif
